XCB 1.13

Public Member Functions | Data Fields
c_client.PreCode Class Reference
Inheritance diagram for c_client.PreCode:
[legend]
Collaboration diagram for c_client.PreCode:
[legend]

## Public Member Functions
def | __init__ (self)
def | start (self)
def | end (self)
def | output_tempvars (self)
def | code (self, fmt, *args)
def | tempvar (self, fmt, *args)
def | get_tempvarname (self)
def | push_indent (self, indentstr)
def | push_addindent (self, indent_add_str)
def | indent (self)
def | pop_indent (self)
def | redirect_start (self, redirect_code, redirect_tempvars=None)
def | redirect_end (self)

## Data Fields
| nesting_level
| tempvars
| codelines
| redirect_code
| redirect_tempvars
| indent_str
| indent_stack
| tempvar_num

## Detailed Description

    For pre-code generated by expression generation
    (for example, the for-loop of a sumof)
    This has to account for recursiveness of the expression
    generation, i.e., there may be pre-code for pre-code.
    Therefore this is implemented as a stack of lists of lines.

    If redirection is switched on, then all output is collected in
    self.redirect_code and self.redirect_tempvars instead of
    being sent to the output via _h und _c.

The documentation for this class was generated from the following file:

- c_client.py